package com.uiui.zyappstore.bean;

import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class AppInfo implements Serializable {
    private static final long serialVersionUID = 8831166142886512597L;

    @SerializedName(value = "app_id", alternate = {"id"})
    int app_id;

    String app_name;
    String app_img;
    String app_developer;
    long app_size;
    String app_package;
    String app_version_name;
    String app_md5;
    double app_score;
    String app_preview1;
    String app_preview2;
    String app_preview3;
    String app_url;
    String app_remarks;
    String app_desc;
    int is_promote;
    int weight;
    String discount;
    String use_type;

    long app_version_code;
    String app_downloads;
    int app_category;
    int app_subject;
    int app_type;
    int app_status;
    int is_delete;
    int is_update;
    int is_silent;
    String createtime;

    public int getApp_id() {
        return app_id;
    }

    public void setApp_id(int app_id) {
        this.app_id = app_id;
    }

    public String getApp_name() {
        return app_name;
    }

    public void setApp_name(String app_name) {
        this.app_name = app_name;
    }

    public String getApp_img() {
        return app_img;
    }

    public void setApp_img(String app_img) {
        this.app_img = app_img;
    }

    public String getApp_developer() {
        return app_developer;
    }

    public void setApp_developer(String app_developer) {
        this.app_developer = app_developer;
    }

    public long getApp_size() {
        return app_size;
    }

    public void setApp_size(long app_size) {
        this.app_size = app_size;
    }

    public String getApp_package() {
        return app_package;
    }

    public void setApp_package(String app_package) {
        this.app_package = app_package;
    }

    public String getApp_version_name() {
        return app_version_name;
    }

    public void setApp_version_name(String app_version_name) {
        this.app_version_name = app_version_name;
    }

    public String getApp_md5() {
        return app_md5;
    }

    public void setApp_md5(String app_md5) {
        this.app_md5 = app_md5;
    }

    public double getApp_score() {
        return app_score;
    }

    public void setApp_score(double app_score) {
        this.app_score = app_score;
    }

    public String getApp_preview1() {
        return app_preview1;
    }

    public void setApp_preview1(String app_preview1) {
        this.app_preview1 = app_preview1;
    }

    public String getApp_preview2() {
        return app_preview2;
    }

    public void setApp_preview2(String app_preview2) {
        this.app_preview2 = app_preview2;
    }

    public String getApp_preview3() {
        return app_preview3;
    }

    public void setApp_preview3(String app_preview3) {
        this.app_preview3 = app_preview3;
    }

    public String getApp_url() {
        return app_url;
    }

    public void setApp_url(String app_url) {
        this.app_url = app_url;
    }

    public String getApp_remarks() {
        return app_remarks;
    }

    public void setApp_remarks(String app_remarks) {
        this.app_remarks = app_remarks;
    }

    public String getApp_desc() {
        return app_desc;
    }

    public void setApp_desc(String app_desc) {
        this.app_desc = app_desc;
    }

    public int getIs_promote() {
        return is_promote;
    }

    public void setIs_promote(int is_promote) {
        this.is_promote = is_promote;
    }

    public int getWeight() {
        return weight;
    }

    public void setWeight(int weight) {
        this.weight = weight;
    }

    public String getDiscount() {
        return discount;
    }

    public void setDiscount(String discount) {
        this.discount = discount;
    }

    public String getUse_type() {
        return use_type;
    }

    public void setUse_type(String use_type) {
        this.use_type = use_type;
    }

    public long getApp_version_code() {
        return app_version_code;
    }

    public void setApp_version_code(long app_version_code) {
        this.app_version_code = app_version_code;
    }

    public String getApp_downloads() {
        return app_downloads;
    }

    public void setApp_downloads(String app_downloads) {
        this.app_downloads = app_downloads;
    }

    public int getApp_category() {
        return app_category;
    }

    public void setApp_category(int app_category) {
        this.app_category = app_category;
    }

    public int getApp_subject() {
        return app_subject;
    }

    public void setApp_subject(int app_subject) {
        this.app_subject = app_subject;
    }

    public int getApp_type() {
        return app_type;
    }

    public void setApp_type(int app_type) {
        this.app_type = app_type;
    }

    public int getApp_status() {
        return app_status;
    }

    public void setApp_status(int app_status) {
        this.app_status = app_status;
    }

    public int getIs_delete() {
        return is_delete;
    }

    public void setIs_delete(int is_delete) {
        this.is_delete = is_delete;
    }

    public int getIs_update() {
        return is_update;
    }

    public void setIs_update(int is_update) {
        this.is_update = is_update;
    }

    public int getIs_silent() {
        return is_silent;
    }

    public void setIs_silent(int is_silent) {
        this.is_silent = is_silent;
    }

    public String getCreatetime() {
        return createtime;
    }

    public void setCreatetime(String createtime) {
        this.createtime = createtime;
    }
}
